ELM(1L)

NAME
elm - an interactive mail system

SYNOPSIS
elm [ -achkKmrtwz ] [ -f alternate-folder ] [ -d class=debugfile:level ]
elm [ -s subject ] [ -A file ] list of aliases or addresses

DESCRIPTION
Elm is an interactive screen-oriented mailer program that supersedes mail and mailx.

There are three main ways to use the elm mailer. One way to use the mailer is to specify a list of addresses on the command line when the mailer is invoked. This will allow sending of a single message to the specified recipients with all the options usually available in the elm system itself. For example, the command
	elm -s testing joe
would initiate the sending of a message to the alias joe with the subject "testing" indicated and would put you into an editor for you to enter the text of the message. If the subject flag and argument were not present, you would be prompted for a message subject.

The second way, used most commonly when transmitting files and such, is to specify the subject of the message and the recipients using the command line and redirect a file as standard input. For example, the command
	elm -s testing joe < test.c
would mail a copy of the file test.c to alias joe, with the subject "testing" indicated. The subject flag and argument are optional.

The command
	elm -s testing -A test.c joe < /dev/null
whould mail a copy of the file test.c as MIME attachment to alias joe.

The third way, elm is invoked with neither subject nor addresses specified on the command line and without standard input redirected. You can then read any messages in your incoming mailbox (or specified folder), reply to messages in the mailbox, mail messages, etc.

Options are:

-a  Arrow - force the arrow cursor (instead of the inverse bar)

-A file
    Attach file. Look also option -i. To get this to work correctly, in file "$HOME/.elm/mime.types" or "/usr/local/etc/mail/elm/elm.mimetypes" must be mapping from extension of filename to mime type.

-c  Checkalias - expand the following aliases and return.

-d class=debugfile:level
    Debug - set specified debug level - Output to "$HOME/ELM:debug.info" if debugfile is not given. Has no effect unless elm was compiled with debugging enabled.

-D charset
    Specifies display charset used for. Turns on elmrc option allow-charset-switching. For external programs (including pager and editor) however system charset (locale charset) is used. For using that option in file "$HOME/.elm/terminal.info" or "/usr/local/etc/mail/elm/elm.terminalinfo" must have information how to switch charset of terminal.

-D NOSWITCH
    Turns off elmrc option allow-charset-switching.

-D =charset
    Specifies display charset used for. Turns off elmrc option allow-charset-switching. This form allows charset switching only between system charset (locale charset) and given charset.

-f alternative-folder
    Folder - read folder (specified) rather than the incoming mailbox. Option -f alternative-folder can be given several times. On that case all specified folders are readed.

-f .
    Prompt for folder.

-h  Help - give a list of starting options.

-i file
    Include - include prepared file in edit buffer for sending. Look also option -A.

-?  Synonymous with the "-h" option.

-k  Ignored. ( Keypad - force knowledge of HP terminal keyboard, to allow
      the use of the NEXT, PREV and HOME/SHIFT-HOME keys. )

-K  Ignored. ( Keypad + softkeys - enable use of softkeys on HP terminals only. )

-m  Menu off - Use the extra lines for more message headers.

-s subj
    Subject - specify subject for message to mail.

-t  tite - turn off usage of the termcap/terminfo ti/te sequence.

-v  Version - print version and configuration information.

-w  Write .elm/elmrc and .elm/mime.options in startup. Useful if your .elm/elmrc have errors.

-z  Zero - don't enter Elm if no mail is pending.

--title-name=title
    Set xterm's window title. That option override automatic title name updating specified with elmrc option set-window-title.

--icon-name=title
    Set xterm's window icon name. That option override automatic icon name updating specified with elmrc option set-window-title.

--with-title=title
    Sets initial title for Elm. After changing folder title (and icon) name is updated same way as elmrc option set-window-title is sit.

--with-title
    Giving just option --with-title without title it is possible to enable title updating without setting elmrc option set-window-title.

AUTHOR
Elm Development Group, Kari Hurtta

SEE ALSO
The Elm documentation package, including: The Elm Users Guide, The Elm Reference Guide, The Elm Alias System Users Guide, The Elm Forms Mode Guide, The Elm Filter Guide, The Elm Configuration Guide

checkalias(1L), frm(1L), mail(1), mailx(1), newalias(1L), printmail(1L), readmsg(1L), elmcharset(1L)

FILES
/usr/local/etc/mail/elm/elm.rc customized mailer parameters
/usr/local/etc/mail/elm/elm.mimecharsets locale to MIME charsets mapping information
/usr/local/etc/mail/elm/elm.terminalinfo display charset switching method for terminals
/usr/local/etc/mail/elm/elm.mimetypes file extension to MIME type mapping information
/usr/local/lib/elm/elm-help.* help files
/usr/local/etc/mail/elm/aliases.text system alias source
/usr/local/etc/mail/elm/aliases.dir system alias dbz directory table
/usr/local/etc/mail/elm/aliases.pag system alias dbz hash table
/usr/local/etc/mail/elm/aliases system alias data table
/usr/local/etc/mail/elm/aliases.hash system alias hash table
/usr/local/etc/mail/elm/aliases.data system alias data table
/usr/local/lib/elm/elm.map.txt/ system character set mapping directory
$HOME/.elm/aliases.text user alias source
$HOME/.elm/aliases.dir user alias dbz directory table
$HOME/.elm/aliases.pag user alias dbz hash table
$HOME/.elm/aliases user alias data table
$HOME/.elm/elmrc customized mailer parameters
$HOME/.elm/mime.charsets locale to MIME charsets mapping information
$HOME/.elm/terminal.info display charset switching method for terminals
$HOME/.elm/mime.types file extension to MIME type mapping information
$HOME/.elm/elmheaders customized message headers
/tmp/snd.$$ outgoing mail edit buffer
/tmp/mbox.logname temporary mailbox
/tmp/mbox.username@popserver temporary POP mailbox
/tmp/mbox.username@imapserver:folder temporary IMAP mailbox
$HOME/ELM:debug.info Debug output if turned on

BUG REPORTS TO
Kari Hurtta elm@elmme-mailer.org

COPYRIGHTS
Copyright 1996-2005 by Kari Hurtta
Based on Elm 2.4, Copyright 1988-1992 by The USENET Community Trust
Derived from Elm 2.0, Copyright 1986, 1987 by Dave Taylor